Bug 517421 - Can not create child channel with shared parent
Summary: Can not create child channel with shared parent
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI
Version: 530
Hardware: All
OS: Linux
urgent
high
Target Milestone: ---
Assignee: Jesus M. Rodriguez
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: 456998
TreeView+ depends on / blocked
 
Reported: 2009-08-13 20:15 UTC by Jesus M. Rodriguez
Modified: 2009-09-10 19:49 UTC (History)
2 users (show)

Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-10 19:49:29 UTC


Attachments (Terms of Use)

Description Jesus M. Rodriguez 2009-08-13 20:15:32 UTC
Can not create a child channel with a shared parent base channel.


1) create a base channel in org a
2) share it with org b
3) go to org b, create a new channel
4) select the base channel from org as the parent

actual result: NO PARENTS listed
expected result: base channel from org a (plus any accessible entitled
channels and any of org b's base channels)

Comment 1 Jesus M. Rodriguez 2009-08-13 20:26:10 UTC
This change introduces another bug though, but that is expected :)

If after you created the channel above, you log back in as org a
and make the shared channel PRIVATE. 

Now log back in as org b and go to the the All channels page:
https://bugatti.usersys.redhat.com/rhn/software/channels/All.do

the base channel should show as 'no access to parent' but you will see
the child channel created by org b.

Now click on manage software channels. Notice you can see the name of the inaccessble channel. :)  And you can click on the link. But you wlil get
a Permission error. This is how we mitigated the problem.

Comment 3 Jesus M. Rodriguez 2009-08-13 20:32:57 UTC
fixed in master 5dc6de9d35c64a3102eceb323209850648b69c33

Comment 4 John Sefler 2009-08-17 14:31:25 UTC
Clarification of the problem description:
4) attempt to select the base channel from org a as the Parent Channel

Verification:
Following the problem description steps, the public base channel created by org a is now listed in the Parent Channel: drop down list of step 4 when creating a child channel in the trusted org b.

moving to VERIFIED

Moreover, following the steps in Comment #1, I observe the behaviour described by Jesus.  While the name of the parent channel may be exposed, the channel cannot be modified - its property fields appear read-only or have disabled controls.

Comment 5 Petr Sklenar ⛄ 2009-08-20 13:09:00 UTC
1) create a base channel in org a
 # This channel is public and may be accessed by any of the trusted organizations trusted by this organization
 # organization b is trusted now
2) share it with org b
3) go to org b, create a new channel
4) select the base channel from org as the parent

Verified again on Satellite-5.3.0-RHEL5-re20090814.0/x86_64

Moving to Release_Pending

Comment 6 Brandon Perkins 2009-09-10 19:49:29 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html


Note You need to log in before you can comment on or make changes to this bug.